For Developers
Create Sample Integrations
POST https://ed.link/api/v2/teams/:team_id/create_sample_integrations
Creates one sandbox integration for the selected application and sample provider. The response contains a single integration object.
Permissions
Requires either the integrations.create or integrations.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
application_id | UUID | Yes | An application owned by the calling team. |
provider_application | String | Yes | Sample provider key: blackboard, brightspace, canvas, google, moodle, rapididentity, schoology, skyward, microsoft, aeries, aspen, bromcom, or powerschool. |
Sample Request
const response = await axios.post(
`https://ed.link/api/v2/teams/${team_id}/create_sample_integrations`,
{ application_id, provider_application: 'canvas' },
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "a1b2c3d4-e5f6-7a8b-9c0d-1e2f3a4b5c6d",
"state": "active"
}
}
